AplasAplas API Reference

List all publications

GET
/publication

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Response Body

*/*

*/*

curl -X GET "https://api.au.aplas.com/api/v2/publication"
[
  {
    "id": "id",
    "name": "Publication A",
    "description": "A description of my publication",
    "interfaceType": "metamap",
    "indexId": "id_map",
    "settings": [
      {
        "id": "interactive",
        "value": "false"
      },
      {
        "id": "map-zoom-max",
        "value": 40
      },
      {
        "id": "theme",
        "value": "custom"
      },
      {
        "id": "canvas-color",
        "value": "#ff5500"
      }
    ]
  }
]
{
  "code": 500,
  "message": "Internal server error"
}